import { getDirname, path } from '@vuepress/utils';
const __dirname = getDirname(import.meta.url);
export const CodeCopyPulgin = ({ copyText = 'Copy', copiedText = 'Copied', selector = 'div[class*="language-"]', pageDelay = 300, color = 'var(--code-ln-color)', } = {}) => ({
    name: 'vuepress-code-copy',
    define: {
        __COPY_COPYTEXT__: copyText,
        __COPY_COPIEDTEXT__: copiedText,
        __COPY_SELECTOR__: selector,
        __COPY_PAGEDELAY__: pageDelay,
        __COPY_COLOR__: color,
    },
    clientConfigFile: path.resolve(__dirname, '../client/config.js'),
});
